package de.jottyfan.timetrack.modules.style;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import de.jottyfan.timetrack.component.OAuth2Provider;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 
 * @author jotty
 * 
 */
@RestController
public class DynamicStyleController {
	
	@Autowired
	private DynamicStyleService service;
	
	@Autowired
	private OAuth2Provider provider;
	
	@GetMapping(value = "/public/dynamicstyle.css", produces = "text/css")
	public @ResponseBody String getDynamicCss(HttpServletRequest request) {
		return service.getDynamicCssOf(provider.getName());
	}
}
