package de.jottyfan.timetrack.modules.done.model;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 
 * @author jotty
 * 
 */
public class SlotRangeBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer minutes;
	private LocalDate from;
	private LocalDate until;
	private String reason;
	private Boolean includeSaturday;
	private Boolean includeSunday;

	/**
	 * @return the minutes
	 */
	public Integer getMinutes() {
		return minutes;
	}

	/**
	 * @param minutes the minutes to set
	 */
	public void setMinutes(Integer minutes) {
		this.minutes = minutes;
	}

	/**
	 * @return the from
	 */
	public LocalDate getFrom() {
		return from;
	}

	/**
	 * @param from the from to set
	 */
	public void setFrom(LocalDate from) {
		this.from = from;
	}

	/**
	 * @return the until
	 */
	public LocalDate getUntil() {
		return until;
	}

	/**
	 * @param until the until to set
	 */
	public void setUntil(LocalDate until) {
		this.until = until;
	}

	/**
	 * @return the reason
	 */
	public String getReason() {
		return reason;
	}

	/**
	 * @param reason the reason to set
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}

	/**
	 * @return the includeSaturday
	 */
	public Boolean getIncludeSaturday() {
		return includeSaturday;
	}

	/**
	 * @param includeSaturday the includeSaturday to set
	 */
	public void setIncludeSaturday(Boolean includeSaturday) {
		this.includeSaturday = includeSaturday;
	}

	/**
	 * @return the includeSunday
	 */
	public Boolean getIncludeSunday() {
		return includeSunday;
	}

	/**
	 * @param includeSunday the includeSunday to set
	 */
	public void setIncludeSunday(Boolean includeSunday) {
		this.includeSunday = includeSunday;
	}
}
